---
Name: "terraform/map-instance-name"
Description: "Map Terraform Instance Name to DRP Machine.Name"
Documentation: |
  Provides the TF self.[name] reference that should be stored in the DRP Machine.Name field.

  Uses the `${self.[path]}` address space used from inside the Terraform resource so `self.` is required.

  This allows users to create machines using the Terraform Instance Name from a Terraform run

  Typical values:

    * aws: `self.private_dns`
    * azure: `self.name`
    * google: `self.name`
    * linode: `self.label`
    * digitalocean: `self.name`
    * pnap: `self.hostname`
    * proxmox: `self.name`

Schema:
  type: "string"
  default: "self.name"
Meta:
  type: "value"
  icon: "map outline"
  color: "black"
  title: "Digital Rebar Community Content"
